Subject: Re: bug#78042: 31.0.50; Improper sequence of `before/after-change-functions` calls

From: Stefan Monnier <[email-masked]>
Date: Fri, 25 Apr 2025 15:12:18 -0400

>> There is currently no attempt in the C code to solve this "by
>> construction" or "by design".  Instead we fix the offenders as we bump
>> into them.
> I submit that we will never be able to solve all of them.

I'm pretty sure we can solve all the ones we find.
But we may never find them all, indeed.

My request for comments/objection was not about whether it is worth
fixing this bug (there is no doubt about that on my side: it affects at
least Eglot and CC-mode), but whether the approach I used is acceptable
or if you have a better alternative to propose.

        Stefan